Draft: Clona

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft PointArray.svg Copie su punti Pagina precedente:
Pagina successiva: Disegno Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clona

Posizione nel menu
Draft → Clona
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Sposta, Scala


Descrizione

Lo strumento Clona produce delle copie collegate di una forma selezionata. Ciò significa che se l'oggetto originale cambia forma e proprietà, cambiano anche tutti i cloni. Ciononostante, ogni clone mantiene la sua posizione, rotazione e scala uniche, così come le sue proprietà di visualizzazione come il colore della forma, la larghezza della linea e la trasparenza.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign o Arch.

Per creare copie semplici, completamente indipendenti da un oggetto originale, utilizzare Sposta, Ruota o Scala. Per posizionare le copie in un schiera ortogonale usare Matrice; per posizionare le copie lungo un percorso usare Copie su tracciato; per posizionare le copie in punti specificati, utilizzare Copie su punti.

Draft Clone example.jpg

Clone accanto all'oggetto originale


Utilizzo

  1. Selezionare un oggetto che si desidera clonare
  2. Premere il pulsante Draft Clone.svg Clona

A seconda delle sue opzioni, lo strumento Draft Scale.svg Scala crea anche un clone in una scala specificata.

I cloni di oggetti 2D creati con Draft o Sketcher sono anche oggetti 2D e quindi come tali possono essere usati in PartDesign.

Tutti gli oggetti Arch hanno la possibilità di comportarsi da cloni usando la loro proprietà DATACloneOf. Se si utilizza lo strumento Draft Clone su un oggetto Arch selezionato, si produce un clone di Arch invece di un normale clone di Draft.

Limitazioni

Attualmente, uno Schizzo di Sketcher non può essere mappato alle facce di un clone.

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DATAObjects: specifica una lista di oggetti base che vengono clonati.
  • DATAScale: specifica il fattore di scala per il clone, in ciascuna direzione X, Y e Z.
  • DATAFuse: se è True e DATAObjects include molte forme che si intersecano l'una con l'altra, il clone risultante le fonde insieme in una singola forma, o crea un composto. Disponibile dalla versione 0.17

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Clone può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crea un oggetto cloned_object da un dato obj, che può essere un singolo oggetto o un elenco di oggetti.
  • Se dato, delta è un FreeCAD.Vector che sposta il nuovo clone dalla posizione originale dell'oggetto base.
  • Se forcedraft è True, l'oggetto risultante sarà un clone di Draft, e non un clone di Arch, anche se obj è un oggetto Arch.

La fusione degli oggetti che fanno parte del clone può essere ottenuta impostando il suo attributo Fuse su True.

Esempio:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft PointArray.svg Copie su punti Pagina precedente:
Pagina successiva: Disegno Draft Drawing.svg Arrow-right.svg